.icons {
  width: 48px;
  height: 48px;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 0 0;

  &.ic-menu {
    background-image: url('/assets/svg/icon-menu.svg');
  }
  &.ic-user {
    background-size: 75% 75%;
    background-position: 8px 8px;
    background-image: url('/assets/svg/human_ico.svg');
  }
  &.ic-search {
    background-image: url('/assets/svg/icon-search.svg');
  }
  &.ic-logout {
    background-image: url('/assets/svg/icon-log-out.svg');
  }
  &.ic-creative-report {
    background-image: url('/assets/svg/icon-creative-report.svg');
  }
  &.ic-dashboard {
    background-image: url('/assets/svg/icon-dashboard.svg');
  }
  &.ic-creatives {
    background-image: url('/assets/svg/icon-creatives.svg');
  }
  &.ic-categories {
    background-image: url('/assets/svg/icon-categories.svg');
  }
  &.ic-user-delete-user {
    background-image: url('/assets/svg/icon-delete-user.svg');
  }
  &.ic-send-invite {
    background-image: url('/assets/svg/icon-send-invite.svg');
  }
  &.ic-news-active {
    background-image: url('/assets/svg/icon-type-news.svg');
  }
  &.ic-settings {
    background-image: url('/assets/svg/icon-settings.svg');
  }
  &.ic-settings-inactive {
    background-image: url('/assets/svg/icon-settings-inactive.svg');
  }
  &.ic-textarea-active {
    background-image: url('/assets/svg/icon-type-textarea.svg');
  }
  &.ic-image-link-active {
    background-image: url('/assets/svg/icon-type-image-link.svg');
  }
  &.ic-list-of-links-active {
    background-image: url('/assets/svg/icon-type-list-of-links.svg');
  }
  &.ic-video-active {
    background-image: url('/assets/svg/icon-type-video-embeded.svg');
  }
  &.ic-add-item {
    background-image: url('/assets/svg/icon-add-item-active.svg');
  }
  &.ic-add-item-inactive {
    background-image: url('/assets/svg/icon-add-item-inactive.svg');
    &:hover {
      background-image: url('/assets/svg/icon-add-item-active.svg');
    }
  }
  &.ic-news-inactive {
    background-image: url('/assets/svg/icon-type-news-inactive.svg');
  }
  &.ic-textarea-inactive {
    background-image: url('/assets/svg/icon-type-textarea-inactive.svg');
  }
  &.ic-image-link-inactive {
    background-image: url('/assets/svg/icon-type-image-link-inactive.svg');
  }
  &.ic-list-of-links-inactive {
    background-image: url('/assets/svg/icon-type-list-of-links-inactive.svg');
  }
  &.ic-video-inactive {
    background-image: url('/assets/svg/icon-type-video-embeded-inactive.svg');
  }
  &.ic-edit-active {
    background-image: url('/assets/svg/icon-edit-active.svg');
  }
  &.ic-delete-active {
    background-image: url('/assets/svg/icon-delete-active.svg');
  }
  &.ic-delete-inactive {
    background-image: url('/assets/svg/icon-delete-inactive.svg');
    &:hover {
      background-image: url('/assets/svg/icon-delete-active.svg');
    }
  }
  &.ic-next-inactive {
    background-image: url('/assets/svg/icon-next-inactive.svg');
    &:hover {
      background-image: url('/assets/svg/icon-next-active.svg');
    }
  }
  &.ic-next-active {
    background-image: url('/assets/svg/icon-next-active.svg');
  }
  &.ic-prev-inactive {
    background-image: url('/assets/svg/icon-prev-inactive.svg');
    &:hover {
      background-image: url('/assets/svg/icon-prev-active.svg');
    }
  }
  &.ic-prev-active {
    background-image: url('/assets/svg/icon-prev-active.svg');
  }

  &.ic-arrows-inactive {
    background-image: url('/assets/svg/icon-arrows-inactive.svg');
    &:hover {
      background-image: url('/assets/svg/icon-arrows-active.svg');
    }
  }
  &.ic-arrows-active {
    background-image: url('/assets/svg/icon-arrows-active.svg');
  }

  /** --- PENCIL ICONS --- **/
  &.ic-edit-active {
    background-image: url("/assets/svg/icon-edit-active.svg");
  }
  &.ic-edit-inactive {
    background-image: url("/assets/svg/icon-edit-inactive.svg");
  }

  /** --- NAVIGATION ARROW ICONS --- **/
  &.ic-back-navigation,
  &.ic-back-navigation-black {
    width: 24px;
    height: 24px;
    background-size: 48px 48px;
    background-position: -12px -12px;

  }
  &.ic-back-navigation {
    background-image: url("/assets/svg/icon-back-navigation.svg");
  }
  &.ic-back-navigation-black {
    background-image: url("/assets/svg/icon-back-navigation-black.svg");
  }

  /** --- GALLERY ICONS --- **/
  &.ic-view-in-creative-gallery-small,
  &.ic-view-in-creative-gallery {
    background-color: #27A2CE;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.12);
    border-radius: 8.73px;
    background-position: 50% 50%;
  }
  &.ic-view-in-creative-gallery {
    width: 88px;
    height: 88px;
    background-image: url("/assets/svg/icon-view-in-creative-gallery.svg");
  }
  &.ic-view-in-creative-gallery-small {
    background-image: url("/assets/svg/icon-view-in-creative-gallery-small.svg");
  }
  &.ic-view-in-creative-gallery-gray {
    background-image: url("/assets/svg/icon-view-in-creative-gallery-gray.svg");
  }


  &.ic-add {
    background-image: url('/assets/svg/icon-add.svg');
    &:hover {
      background-image: url('/assets/svg/icon-add-pressed.svg');
    }
  }

  /** TODO: Temporary hack, find a better solution in future */
  &.ic-add.tether-enabled {
    background-image: url('/assets/svg/icon-add-pressed.svg');
  }
}


/** --- FILE MANAGER ICONS --- **/
.icons-file-manage {
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 0 0;

  .desktop {
    width: 256px;
    height: 256px;
  }

  .mobile {
    width: 90px;
    height: 90px;
  }

  &.default {
    width: 100%;
    height: 100%;
    background-position: center;
  }

  &.ic-list-of-links {
    background-image: url("/assets/svg/icon-list-of-links.svg");
  }
  &.ic-file-news {
    background-image: url("/assets/svg/icon-news.svg");
  }
  &.ic-textarea {
    background-image: url("/assets/svg/icon-textarea.svg");
  }

  /** --- FILE TYPES --- **/
  &.ic-file-new {
    background-image: url("/assets/svg/file-manager/icon-file-new.svg");
  }
  &.ic-file-png {
    background-image: url("/assets/svg/file-manager/icon-file-png.svg");
  }
  &.ic-file-ppt {
    background-image: url("/assets/svg/file-manager/icon-file-ppt.svg");
  }
  &.ic-file-psd {
    background-image: url("/assets/svg/file-manager/icon-file-psd.svg");
  }
  &.ic-file-jpg {
    background-image: url("/assets/svg/file-manager/icon-file-jpg.svg");
  }
  &.ic-file-video {
    background-image: url("/assets/svg/file-manager/icon-file-video.svg");
  }
}

/** --- USER INVITE ICONS --- **/

.icon-user-avatar-invite {
  width: 32px;
  height: 32px;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 0 0;
  background-image: url("/assets/svg/icon-user-avatar-invite.svg");
}


/** --- LIST & GRID VIEW ICONS ---**/
.icon-grid-view,
.icon-list-view {
  width: 48px;
  height: 48px;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 0 0;

  &:hover {
    cursor: pointer;
  }
}

.icon-grid-view {
  background-image: url("/assets/svg/icon-grid-view.svg");
}
.icon-grid-view.inactive {
  background-image: url("/assets/svg/icon-grid-view-inactive.svg");
}

.icon-list-view {
  background-image: url("/assets/svg/icon-list-view.svg");
}
.icon-list-view.inactive {
  background-image: url("/assets/svg/icon-list-view-inactive.svg");
}

.icon-default {
  width: 100%;
  height: 100%;
  background-image: url("/assets/images/default-image.png");
}

.clickable {
  &:hover { cursor: pointer; }
}


.default-preview {
  width: 100%;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: center;

  &.textarea {
    background-image: url("/assets/svg/icon-textarea.svg");
  }

  &.news {
    background-image: url("/assets/svg/icon-news.svg");
  }

  &.document {
    background-image: url("/assets/svg/icon-document.svg");
  }

  &.listOflinks {
    background-image: url("/assets/svg/icon-ListofLinks.svg");
  }
}
